﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media;

namespace WPFFlexGridSparklines.Converter
{
    public class NegativeBrushConverter : IValueConverter
    {
        public Brush NegativeBrush { get; set; }
        public Brush PositiveBrush { get; set; }

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if ((double)value < 0)
                return NegativeBrush;
            else 
                return PositiveBrush;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
